body{
        padding: 0;
        margin: 0;
        font-family: 'Poppins', sans-serif;
}
*{
    font-family: 'Poppins', sans-serif;
}
.container {
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center; 
    align-items: center;   
    height: 100vh;
    width: 100vw; 
    background-color: #F3F4F7 ;
}

.grid {
    background-color: #FCFCFC;
    padding: 15px;
    border-radius: 15px;
    display: grid;
    grid-template-columns: repeat(6, 160px);
    grid-template-rows: repeat(5, 160px); 
    gap: 6px;
}

.cell {
    background-color: #FCFCFC;
    align-items: center;
    justify-content: center;
    font-size: 1.2em;
}
.case1 {
    grid-column: span 4; 
    grid-row: span 2;     
}
.case2 {
    grid-column: span 2; 
    grid-row: span 5;   
    border-radius: 10px;
    border: 2px solid #C1C2C5;
}
.case3 {
    grid-column: span 2;
    grid-row: span 3;    
    background-color: #FCFCFC;
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    grid-template-rows: repeat(3, 1fr);    
}

.small-cell {
    background-color: #FCFCFC;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1em;
    aspect-ratio: 1 / 1; 
    width: 100%;         
}

.case4 {
    grid-column: span 2; 
    grid-row: span 3;    
    background-color: #FCFCFC;
}
.button-label-container{
    width: 160px;
    height: 160px;
    position: relative;
    background-size: cover;
    background-position: center; 
    border-radius: 10px;
    border: 2px solid  #C1C2C5;
    background-color: #FCFCFC;
}
.btn-enabled{
    position: absolute;
    top: 3px;
    right: 3px; 
    height: 18px; 
    width: 18px;
    background-color: #1169E0;
    border-radius: 50%;
    align-items: center; 
    justify-content: center;
    display: none;
}
input {
    border: none;
    outline: none;
}
input:focus {
    border: 2px solid #1169E0 !important;
}
.active
{
    display: block !important;
    border: 2px solid  #1169E0;
}
.button-label-container.active .btn-enabled {
    display: flex; 
}

.button-label-container.active .btn-txt {
    color: #1169E0;
}
.button-label-container:hover{
    border: 2px solid  #1169E0;
    cursor: pointer;
}
.button-label-container:hover .btn-txt {
    color: #1169E0;
}

.btn-active-generator
{
    background-color: #1169E0 !important;
    cursor: pointer;
}
.information-section {
display: none;
}
.information-section.activeI {
    display: block;
}
.generate-pdf{
    background-color: #1169E0 !important;
}
.generate-pdf:hover{
    opacity: 0.8;
    cursor: pointer;
}
.add-input-btn:hover{
    opacity: 0.8;
    cursor: pointer;
}
.sup-input-btn:hover{
    opacity: 0.8;
    cursor: pointer;
}
.information-section{
    overflow: hidden;
    height: 100%;
}
.btn-settings:hover{
    opacity: 0.8;
    cursor: pointer;
}


.row-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 300px;
    padding: 6px;
    margin-top: 15px;
    border: 1px solid  #C1C2C5;
    border-radius: 5px;
    margin-left: 4px;
    margin-right: 4px;
    margin-bottom: 10px;
}

.column {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
}
.column h3{
    font-size: small;
    padding: 0;
    margin: 0;
    margin-top: 0px;
}

select {
padding: 6px;
font-size: 16px;
border: 2px solid transparent;
border-radius: 4px;
transition: border-color 0.3s ease, box-shadow 0.3s ease;
outline: none; 
border: 1px solid  #C1C2C5;
}
select:focus {

    outline: 2px solid #C1C2C5;
}

option {
    padding: 10px;
}

option[value="[255, 255, 255]"] {  
    background-color: rgb(255, 255, 255);
    color: black;
}

option[value="[227, 34, 46]"] {
    background-color: rgb(227, 34, 46);
    color: white;
}

option[value="[15, 150, 73]"] {
    background-color: rgb(15, 150, 73);
    color: white;
}

option[value="[30, 168, 224]"] {
    background-color: rgb(30, 168, 224);
    color: white;
}

option[value="[222, 35, 133]"] {
    background-color: rgb(222, 35, 133);
    color: white;
}

option[value="[136, 103, 75]"] {
    background-color: rgb(136, 103, 75);
    color: white;
}

option[value="[94, 86, 140]"] {
    background-color: rgb(94, 86, 140);
    color: white;
}

option[value="[0, 0, 0]"] {
    background-color: rgb(0, 0, 0);
    color: white;
}


.info-icon {
    display: flex; 
    justify-content: center; 
    align-items: center; 
    height: 12px;
    width: 12px; 
    background-color: #2a2a2b; 
    border-radius: 50%;
    font-size: 10px;
    color: rgb(255, 255, 255); 
    cursor: pointer;
    margin-left: 5px !important;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    font-weight: 300;
    opacity: 0.8;
}

.modal {
    position: absolute;
    z-index: 999;
    background-color: rgba(51, 51, 51, 0.9); /* Légèrement transparent */
    height: 100vh;
    width: 100vw;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: none;/*flex;*/
    justify-content: center;
    align-items: center;
    transition: opacity 0.3s ease; /* Animation d'apparition */
}

.modal-content {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    
}

.close {
    margin-top: 20px;
    padding: 10px 20px;
    background-color: rgb(230, 71, 71);
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin: auto;
}
.btn-copy{
    height: 30px;
    width: auto;
    padding-left: 8px; 
    padding-right: 8px;
    outline: 1px solid  #C1C2C5;
    border-radius: 5px; 
    margin-left: 5px;
    display: none;
    transition: opacity 0.5s;
}
.btn-link-copy:hover{
    opacity: 0.8;
    cursor: pointer;
}
.btn-link-copy{
    height: 30px;
    text-decoration: none; 
    color:#FCFCFC; 
    background-color: #1169E0;
    padding: 4px;
    padding-left: 8px;
    padding-right: 8px; 
    border-radius: 5px;
    border: none;
}
.btn:hover{
    opacity: 0.8;
    cursor: pointer;
}
.close:hover{
    opacity: 0.8;
    cursor: pointer;
}
